---
type: api
title: Get query stream settings
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v9/operation/operation-get-streams-name-query
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v9/operation/operation-get-streams-name-query
products:
  - Kibana
---

# Get query stream settings

Availability: 9.4+

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/streams/{name}/_query`
- `GET` `/s/{space_id}/api/streams/{name}/_query`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v9/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v9/authentication#basicauth)

#### Path Parameters

- `name` (string · max: 200)
  The name of the query stream.

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Fetches the query settings of a query stream definition<br/><br/>[Required authorization] Route required privileges: read_stream.

## Request Body

`application/json`

Any of:
- **object**
- **object**
- **object**

## Response

Query settings for the stream.

## Code Examples

#### Console

```console
GET /api/streams/{name}/_query
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/streams/{name}/_query"
```

